PDA

View Full Version : NFS: Underground 2 Notes


danielcg
07-10-05, 02:06 AM
Compatibility issue with Need for Speed Underground 2 game Version 1.2.

All Nvidia GeForce 6x00 and above, when you go to graphic option, don't change image quality (Default is lowest due to compatibility test failed) and instead go to "Customize the graphics".

Version 1.0 and 1.1, depth of field feature is not working so therefore these versions are not affected. However, Version 1.2 fixed the bug and depth of field works but however, depth of field is NOT supported by newer video driver and Nvidia GeForce 6x00 and above.

So therefore, you can enable all quality in advanced settings EXCEPT depth of field. You must leave depth of field DISABLED. If you try to enable depth of field, it would causes video display driver to timeout constantly and it would freeze the game (5 to 10 seconds per one frame)! If this ever happens, hold left arrow on depth of field until depth of field change to "OFF".
It will take 5 to 30 seconds to change depth of field back to "OFF"!

If you try to change overall image quality (not in advanced mode), it will automatically enable depth of field and you will encounter same problem. You can workaround by change overall image quality back to lowest; it may take 5 to 30 seconds to do so then go to advanced mode and change anything except depth of field to anything you like.

Some users have issues with road reflection and blur motion or tints but they are not causing this problem. These problems are caused by depth of field feature's incompatibility.

I think newer video driver for 6x00 has built-in depth of field in hardware; it conflict with software depth of field!

thecrazykevy
07-10-05, 03:15 AM
:thumbdwn:

Guess I'll have to stick with playing NFSU2 on Xbox.

PikachuMan
07-10-05, 04:27 AM
Version 1.0 and 1.1, depth of field feature is not working so therefore these versions are not affected. However, Version 1.2 fixed the bug and depth of field works but however, depth of field is NOT supported by newer video driver and Nvidia GeForce 6x00 and above.
!

So, the drivers not working are the 75 series, or also the 70 series?
I do remember playing NFSU2 v1.2 with the 65 series, everything on no problems.

danielcg
07-10-05, 10:27 PM
Did you try to enable depth of field on older 65.xx driver? If yes, maybe newer driver has built-in depth of field in hardware but older driver don't enable depth of field in hardware so software depth of field may work with older drivers that don't have built-in depth of field.

If you have 75.xx driver, this driver enabled hardware-based depth of field automatically so you must disable software depth of field. You cannot have two depth of fields at same time!

LabShark
07-11-05, 11:26 AM
Thanks for the tip. I was going to re-install it this week adfter building my new rig. :)